import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Font;
import java.awt.Color;

/**
 * Counter that displays a number.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class Counter extends Actor
{
    protected int value = 0;
    private String text;
    private int stringLength;
    protected Color color = java.awt.Color.WHITE;

    public Counter()
    {
        this("");
    }

    public Counter(String prefix)
    {
        value = 0;
        text = prefix;
        stringLength = (text.length() + 2) * 16;

        setImage(new GreenfootImage(stringLength, 24));
        GreenfootImage image = getImage();
        Font font = image.getFont();
        image.setFont(font.deriveFont(24.0F));  // use larger font
        
        updateImage();
    }
    
    public void act() {
        updateValue();
        updateImage();
    }

    public int getValue()
    {
        return value;
    }

    protected void updateValue()
    {
        // override in subclasses
    }
    
    /**
     * Make the image
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.setColor(color);
        image.drawString(text + value, 1, 18);
    }
}
