import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Font;

/**
 * Fuel Guage that displays a Lander's Fuel Level.
 * 
 * @author Allen Hammock
 * @version 1.0.0
 */
public class FuelGuage extends Counter
{
    private Lander lander;

    public FuelGuage()
    {
        this(new Lander());
    }

    public FuelGuage(Lander l)
    {
        super("Fuel Level: ");
        lander = l;
        color = java.awt.Color.GREEN;
        updateValue();
    }
     
    
    protected final void updateValue()
    {
        value = lander.getFuelLevel();
        if (value < 50) color = java.awt.Color.YELLOW;
        if (value < 25) color = java.awt.Color.RED;
    }
    
 }
