import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Font;

/**
 * Fuel Guage that displays a Lander's Fuel Level.
 * 
 * @author Allen Hammock
 * @version 1.0.0
 */
public class Speedometer extends Counter
{
    private Lander lander;

    public Speedometer()
    {
        this(new Lander());
    }

    public Speedometer(Lander l)
    {
        super("Speed: ");
        lander = l;
        color = java.awt.Color.WHITE;
        updateValue();
    }
     
    
    protected final void updateValue()
    {
        value = (int) Math.abs(lander.getVelocity());
    }
    
 }
